Project

General

Profile

Bug #40416

SABNZBD and SONARR plugin installation issues on 11.2 Beta2

Added by Jim Clark about 2 years ago. Updated about 2 years ago.

Status:
Closed
Priority:
No priority
Assignee:
Martin Wilke
Category:
OS
Target version:
Seen in:
Severity:
New
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

When installing SABNZBD plugin i receive a 401 error with a gilab URL. When installing the SONARR plugin it errors out saying jail names RADARR already exists. it does because I installed radarr already, but sonarr should be installing as a jail named SONARR. At the least they should increment like they did in the previous versions


Related issues

Related to FreeNAS - Feature #39573: Update iocage Plugins for BETA3Done
Has duplicate FreeNAS - Bug #40616: Sonnar conecting to radarr repostory Closed
Is duplicate of FreeNAS - Bug #37806: Create SabNZBD iocage pluginClosed

History

#1 Updated by Dru Lavigne about 2 years ago

  • Private changed from No to Yes
  • Reason for Blocked set to Need additional information from Author

Jim: please reproduce then attach a debug (System -> Advanced -> Save debug) to this ticket.

#2 Updated by Jim Clark about 2 years ago

  • File debug.tgz added

Error when installing SABNZBD:

Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1261, in _http_request
    resp = self.opener.open(req)
  File "/usr/local/lib/python3.6/urllib/request.py", line 532, in open
    response = meth(req, response)
  File "/usr/local/lib/python3.6/urllib/request.py", line 642, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/local/lib/python3.6/urllib/request.py", line 570, in error
    return self._call_chain(*args)
  File "/usr/local/lib/python3.6/urllib/request.py", line 504, in _call_chain
    result = func(*args)
  File "/usr/local/lib/python3.6/urllib/request.py", line 650, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 401: Authorization Required

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 248, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 128, in fetch_plugin
    self.__fetch_plugin_post_install__(conf, _conf, jaildir, jail_name)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 515, in __fetch_plugin_post_install__
    self.__clone_repo(conf['artifact'], f'{jaildir}/plugin')
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 1233, in __clone_repo
    remote_refs = client.fetch(repo_url, local)
  File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 363, in fetch
    progress)
  File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1398, in fetch_pack
    b"git-upload-pack", url)
  File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1282, in _discover_references
    resp, read = self._http_request(url, headers, allow_compression=True)
  File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1267, in _http_request
    (e.code, url))
dulwich.errors.GitProtocolError: unexpected http response 401 for https://github.com/freenas/iocage-plugin-sabnzbd/info/refs?service=git-upload-pack
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
dulwich.errors.GitProtocolError: unexpected http response 401 for https://github.com/freenas/iocage-plugin-sabnzbd/info/refs?service=git-upload-pack

Error when installing Sonarr
Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 248, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 125, in fetch_plugin
    props, jail_name)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 306, in __fetch_plugin_create__
    exit_on_error=self.exit_on_error).create_jail()
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 88, in create_jail
    return self._create_jail(jail_uuid, location)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 104, in _create_jail
    raise RuntimeError(f"Jail: {jail_uuid} already exists!")
RuntimeError: Jail: radarr already exists!
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: Jail: radarr already exists!

Attached debug is after I tried installing SAB and then immediately also tried to install Sonarr.

#3 Updated by Dru Lavigne about 2 years ago

  • Assignee changed from Release Council to Martin Wilke
  • Target version changed from Backlog to 11.2-BETA3

#4 Updated by Dru Lavigne about 2 years ago

  • Has duplicate Bug #40616: Sonnar conecting to radarr repostory added

#5 Updated by Dru Lavigne about 2 years ago

  • Reason for Blocked deleted (Need additional information from Author)

#6 Updated by Dru Lavigne about 2 years ago

#7 Updated by Dru Lavigne about 2 years ago

  • Is duplicate of Bug #37806: Create SabNZBD iocage plugin added

#8 Updated by Dru Lavigne about 2 years ago

  • File deleted (debug.tgz)

#9 Updated by Dru Lavigne about 2 years ago

  • Status changed from Unscreened to Closed
  • Target version changed from 11.2-BETA3 to N/A
  • Private changed from Yes to No
  • Reason for Closing set to Duplicate Issue

Jim: the Sonar issue has been resolved for BETA3 on ticket #39573.

You can follow the progress of the Sabnzbd plugin on ticket #37806.

Also available in: Atom PDF